#
# spec file for package etherpad-lite
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           slowmoVideo
Version:        0.4
Release:        2.16
Summary:        Video slow motion effect via interpolation
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://slowmovideo.granjow.net/
Source:         https://github.com/slowmoVideo/slowmoVideo/archive/v0.4.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM link_libraries.patch avvissu@yandex.ru -- Add link to libraries and use a static library
Patch0:         slowmoVideo-0.4_link_libraries.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  fdupes
BuildRequires:  unzip
BuildRequires:  freeglut-devel
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  pkgconfig(QtCore) >= 4.7
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtTest)
BuildRequires:  pkgconfig(QtScript)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  ImageMagick
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Is an OpenSource program that creates slow-motion videos from your footage..

But it does not simply make your videos play at 0.01× speed. You can 
smoothly slow down and speed up your footage, optionally with motion blur.

How does slow motion work? slowmoVideo tries to find out where pixels move 
in the video (this information is called Optical Flow), and then uses this 
information to calculate the additional frames between the ones recorded by 
your camera.

%prep
%setup -q
%patch0 -p1

%build
%cmake \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DENABLE_TESTS:BOOL=false \
	../src
make %{?_smp_mflags}

%install
%cmake_install
#install -d %{buildroot}%{_var}/lib/%{name}

convert src/%{name}/slowmoUI/res/AppIcon.png -resize 64x64 %{name}.png
install -Dm 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file -c %{name} %{name} "Slowmotion Video" slowmoUI %{name} Qt Multimedia AudioVideoEditing

%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/slowmoFlowBuilder
%{_bindir}/slowmoFlowEdit
%{_bindir}/slowmoInfo
%{_bindir}/slowmoInterpolate
%{_bindir}/slowmoRenderer
%{_bindir}/slowmoUI
%{_bindir}/slowmoVideoInfo
%{_bindir}/slowmoVisualizeFlow
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Aug 20 2015 avvissu@yandex.ru
- Update to 0.4
- Fix build on openSUSE > 13.2 (slowmoVideo-0.4_link_libraries.patch)
- Change: URL and license
- Download source from GitHub
- Use pkgconfig(foo) style
- Use %%%%cmake and %%%%cmake_install
- Create .desktop file in the spec file
* Mon May 26 2014 guillaume@opensuse.org
- Initial version 0.3
